# Event Distribution Service

Event Distribution Service (EDS) API operations

## Get all channels

 - [GET /v1/domains/{domainId}/channels](https://docs.ripple.com/products/custody/reference/api/openapi/event-distribution-service/getallchannels.md)

## Create a channel

 - [POST /v1/domains/{domainId}/channels](https://docs.ripple.com/products/custody/reference/api/openapi/event-distribution-service/createchannel.md)

## Test a channel

 - [POST /v1/domains/{domainId}/channels/{channelId}/test](https://docs.ripple.com/products/custody/reference/api/openapi/event-distribution-service/testchannel.md)

## Get channel details

 - [GET /v1/domains/{domainId}/channels/{channelId}](https://docs.ripple.com/products/custody/reference/api/openapi/event-distribution-service/getchannel.md)

## Delete a channel

 - [DELETE /v1/domains/{domainId}/channels/{channelId}](https://docs.ripple.com/products/custody/reference/api/openapi/event-distribution-service/deletechannel.md)

## Update a channel

 - [PATCH /v1/domains/{domainId}/channels/{channelId}](https://docs.ripple.com/products/custody/reference/api/openapi/event-distribution-service/updatechannel.md)

## Get all events for a channel

 - [GET /v1/domains/{domainId}/channels/{channelId}/events](https://docs.ripple.com/products/custody/reference/api/openapi/event-distribution-service/getallchannelevents.md)

## Get channel event details

 - [GET /v1/domains/{domainId}/channels/{channelId}/events/{eventId}](https://docs.ripple.com/products/custody/reference/api/openapi/event-distribution-service/getevent.md)

## Get all events

 - [GET /v1/domains/{domainId}/channels/events](https://docs.ripple.com/products/custody/reference/api/openapi/event-distribution-service/getallevents.md)

